{% extends "dashboard/base.html" %}
{% load i18n %}
{% load static %}
{% load bootstrap %}
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Mi Proyecto" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li class=active>
                <a href="#">{% trans "Mi Proyecto" %}</a>
            </li>
        </ol>
    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="wrapper wrapper-content  animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="wrapper wrapper-content animated fadeInUp">
                <div class="ibox">
                   <div class="ibox-title blue-bg">
                        <h5 style="font-size:20px;">Detalles del Proyecto</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link">
                                <i class="fa fa-chevron-down" style="color:white"></i>
                            </a>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="m-b-md">
                                    <h2>Nombre del Proyecto: {{project.name}}</h2>
                                </div>

<!--
                                <dl class="dl-horizontal">
                                </dl>
-->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-2">
                                <img class="center-block" src="/static/img/FaviconUNAB.png">
                            </div>
                            <div class="col-lg-5">
                                <dl class="dl-horizontal" style="margin-top:12%;">
                                    <dt>Estado:</dt> <dd><span class="label label-primary">{{project.get_status_display}}</span></dd>
                                    <dt>Autor:</dt> <dd>{{project.author.first_name}} {{project.author.last_name}}</dd>
                                    <dt>Profesor Guia:</dt> <dd>{{project.guide_teacher}}</dd>
                                    <dt>Carrera:</dt> <dd>{{project.carreer.name}}</dd>
                                </dl>
                            </div>
                            <div class="col-lg-4" id="cluster_info">
                                <dl class="dl-horizontal" style="margin-top:12%;">

                                    <dt>Asignatura:</dt> <dd>{{project.section.course.name}}</dd>
                                    <dt>Ultima Actualización::</dt> <dd>{{project.date}}</dd>
                                    <dt>Fecha de Creación:</dt> <dd>{{project.date}}</dd>
                                    <dt>Participantes:</dt>
                                    <dd class="project-people">
                                    {% for student in students %}
                                    <a href=""><img alt="image" class="img-circle" src="/media/{{student.avatar}}"></a>
                                    {% endfor %}
                                    </dd>
                                </dl>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <dl class="dl-horizontal">
                                    <dt>Progreso:</dt>
                                    <dd>
                                        <div class="progress progress-striped active m-b-sm">
                                            <div style="width: {{percentage}}%;" class="progress-bar"></div>
                                        </div>
                                    </dd>
                                </dl>
                            </div>
                        </div>
                        <div class="row m-t-sm">
                            <div class="col-lg-12">
                            <div class="panel blank-panel">
                            <div class="panel-heading">
                                <div class="panel-options">
                                    <ul class="nav nav-tabs">
                                        <li class="active"><a href="#tab-1" data-toggle="tab">Evaluaciones</a></li>
                                        <li class=""><a href="#tab-2" data-toggle="tab">Retroalimentación</a></li>
                                    </ul>
                                </div>
                            </div>

                            <div class="panel-body">

                            <div class="tab-content">
                            <div class="tab-pane active" id="tab-1">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th class="col-md-1">Sesión</th>
                                        <th class="col-md-1">Tipo(s) de Evaluacion</th>
                                        <th class="col-md-2">Fecha de Evaluacion</th>
                                        <th class="col-md-1">Calificación</th>
                                        <th class="col-md-5">Comentario Docente</th>
                                        <th class="col-md-2">Acciones</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for session in sessions %}
                                    <tr>
                                        {% if session.session %}
                                        {% if session.session.week %}
                                        <td>
                                            {% if session.session_qualification < 4 %}
                                            <span class="badge badge-danger" style="font-size:15px">Sesión {{session.session.number}}</span>
                                            {% elif session.session_qualification >= 4 and session.session_qualification < 5.5 %}
                                            <span class="badge badge-warning" style="font-size:15px">Sesión {{session.session.number}}</span>
                                            {% else %}
                                            <span class="badge badge-primary" style="font-size:15px">Sesión {{session.session.number}}</span>
                                            {% endif %}
                                        </td>
                                        {% else %}
                                        <td>
                                            {% if session.hito_qualification < 4 %}
                                            <span class="badge badge-danger" style="font-size:15px">Sesión {{session.session.number}}</span>
                                            {% elif session.hito_qualification >= 4 and session.hito_qualification < 5.5 %}
                                            <span class="badge badge-warning" style="font-size:15px">Sesión {{session.session.number}}</span>
                                            {% else %}
                                            <span class="badge badge-primary" style="font-size:15px">Sesión {{session.session.number}}</span>
                                            {% endif %}
                                        </td>
                                        {% endif %}
                                        <td>
                                           {% if session.session.hito %}
                                           Hito<br>
                                           {% endif %}
                                           {% if session.session.week %}
                                           Semana <br>
                                           {% endif %}
                                           {% if session.session.abet == 1 %}
                                           Abet
                                           {% endif %}
                                        </td>
                                        <td>
                                            ---
                                        </td>
                                        {% if session.session.week %}
                                        <td>
                                            Nota: {{session.session_qualification|floatformat:2}}
                                        </td>
                                        {% else %}
                                        <td>
                                            Nota: {{session.hito_qualification|floatformat:2}}
                                        </td>
                                        {% endif %}
                                        <td>
                                        <p class="small">
                                            Fuiste evaluado en esta sesión
                                        </p>
                                        </td>
                                        <td><button href="" disabled class="btn btn-primary btn-rounded"><i class="fa fa-info-circle"></i> Detalles de la Evaluación</button>
                                        </td>
                                        {% else %}
                                        <td>
                                            <span class="badge badge-gray" style="font-size:15px">Sesión {{session.number}}</span>
                                        </td>
                                        <td>
                                           {% if session.hito %}
                                           Hito<br>
                                           {% endif %}
                                           {% if session.week %}
                                           Semana
                                           {% endif %}
                                           {% if session.abet == 1 %}
                                           Abet
                                           {% endif %}
                                        </td>
                                        <td>
                                            ---
                                        </td>
                                        <td>
                                            ---
                                        </td>
                                        <td>
                                        <p class="small">
                                            No has sido evaluado
                                        </p>
                                        </td>
                                        <td><button href="" disabled class="btn btn-primary btn-rounded"><i class="fa fa-info-circle"></i> Detalles de la Evaluación</button>
                                        </td>
                                        {% endif %}
                                    </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>

                            </div>
                            <div class="tab-pane" id="tab-2">
                                <div class="feed-activity-list">
                                   {% for x in retro %}
                                    <div class="feed-element">
                                        <a href="#" class="pull-left">
                                            <img alt="image" class="img-circle" src="{% static 'img/profile-icon-9.png' %}">
                                        </a>
                                        <div class="media-body ">
                                            Retroalimentacion de <strong>Mark Johnson</strong><br>
                                            <small class="text-muted">Today 2:10 pm - 12.06.2014</small>
                                            <div class="well">
                                                {{x.text}}
                                            </div>
                                        </div>
                                    </div>
                                    {% endfor %}
                                </div>

                            </div>
                            </div>

                            </div>

                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock content %}
